ALTER TABLE AKUZ.T_ONK_PATIENT_YEAR_CONDITION ADD ClinGroup INT NULL;

UPDATE AKUZ.T_ONK_PATIENT_YEAR_CONDITION
SET ClinGroup = CASE 
    WHEN Condition IN (1, 2, 3, 4, 5, 6) THEN Condition
    ELSE NULL
END,
Condition = CASE 
    WHEN Condition IN (1, 2, 3, 4, 5, 6) THEN 0
    ELSE Condition
END
WHERE Condition IS NOT NULL;